.footer {
  width: 100%;
  height: 17rem;
  background: var(--linear_color);
  position: relative;
}

.footer-con {
  display: flex;
  justify-content: space-between;
  padding-top: 1rem;
  width: 160rem;
  margin: 0 auto;
  /* overflow: hidden; */
}

.footer-left {
  /* width: 51.6rem; */
  transform: translateX(-10rem);
  opacity: 0;
  transition: all .3s;
}

.footer-left-list {
  display: flex;
  column-gap: 16rem;
}

.footer-logo {
  padding-top: 1.8rem;
}

.footer-logo img {
  height: 6.6rem;
  width: auto;
  display: block;
}

.footer-left-item {
  padding-top: 1rem;
}

.footer-left-item>div {
  color: #fff;
  font-size: 1.4rem;
  margin-bottom: 1rem;
}



.footer-right {
  display: flex;
  column-gap: 4rem;
  transform: translateX(10rem);
  opacity: 0;
  transition: all .3s;
}

.footer-right .footer-right-item {
  display: flex;
  align-items: center;
  flex-direction: column;
  cursor: pointer;
  position: relative;
}

.footer-right .footer-right-item .code {
  position: absolute;
  top: -25rem;
  left: -6.5em;
  width: 19rem;
  height: 20.3rem;
  opacity: 0;
  transition: all .5s;
  visibility: hidden;
}

.footer-right .footer-right-item:hover .code {
  top: -21rem;
  opacity: 1;
  visibility: visible;
}

.footer-right .footer-right-item .code img {
  width: 19rem;
  height: 20.3rem;
  display: block;
}

.footer-right .footer-right-item img {
  width: 6.6rem;
  height: 6.6rem;
}

.footer-right .footer-right-item .title {
  font-size: 1.4rem;
  color: #fff;
  margin-top: .6rem;
}

.copyright {
  width: 160rem;
  position: absolute;
  bottom: 0;
  left: calc(50% - 80rem);
  padding: 1.5rem 0;
  text-align: center;
  color: #fff;
  font-size: 1.2rem;
  border-top: .1rem solid rgba(255, 255, 255, .3);
}

.fooerFadeIn {
  transform: translateX(0);
  opacity: 1;
}